

IMPORTANT NOTICE:

The T interpreter software has been developed and tested on 
IBM PC compatible computers.  You may use it for free.

While I have made a substantial effort to make the T 
interpreter software error free, all computer software by 
its complex nature is likely to have some undiscovered 
errors.  Whether you register this software or not, I 
will not be responsible for any direct or indirect damages 
which you may incur, including incidental and consequential 
damages.  This allows me to provide this software for your 
use at a very low cost. You must determine whether it is
suitable for your own use.

If you do pay to register this shareware you will receive the
user's manual.

If you are not satisfied with it, I will refund the registration 
fee upon return of the user's manual.  This must be done within 
sixty (60) calendar days of registration.



INSTALLING THE T INTERPRETER

Here it is assumed that your computer's hard disk drive is 
the c: drive and that you are copying the T interpreter 
files from a distribution diskette.

First, log on to the root directory and create a new 
directory for these programs:

        C:\>md tpl         Then press the <Enter> key

Second, insert the diskette containing the T Interpreter 
into the floppy disk drive and check that you received all 
the needed files:

        C:\>a:                      Press <Enter>

        A:\>dir                     Press <Enter>

You should see listed:

        TI.EXE                  <- the interpreter
        TH.EXE                  <- the language help program
        TE.EXE                  <- the editor

and several files which have the file name extension ".T" 
indicating that they are T programs provided as samples.

Third, copy all these files to the new directory you just 
created:

        A:\>copy *.* c:\tpl         Press <Enter>

That's all you need to do!



RUNNING A T PROGRAM

This is an example of a simple T program:

        % the first program

        const x := 2
        const y := 4

        program

            var sum : int

            sum := x + y
            put x, " +", y, " =", sum

        end program


Enter this program, and run it using the instruction which 
follow.  

The first step is to start the editor (change to the T 
directory if necessary):

        C:\TPL>te                   Press <Enter>

Note that "F10 Help" appears in the upper right of the 
screen, this means that the F10 function key is used to call 
a pop-up menu of built-in help information which you may 
need.  Try pressing the F10 key on the top row of your 
keyboard to see what happens.  

The up and down arrow keys on your keyboard can be used to 
select an item from the menu.  The item highlighted in WHITE 
is the item selected.  To activate it, press the <Enter> 
key.  Try these out also.  To exit from the menu, just press 
the <Esc> key which is usually placed at the upper left 
corner of your keyboard.

Now select the item named "keyboard"; this one explains how 
the keyboard is used as a typewriter to enter text into a 
file.  Study it before you begin to enter the sample program 
above.

Enter the sample program into the computer.  After you have 
finished, press the F1 key.  On the pop-up menu select 
"Write to."  Type a name for your program.  How about 
"first.t"?  Note the ".t"; this is the file name extension 
used by the editor to identify T programs.  Press <Enter> 
when you've finished.  At the top of the edit screen, the 
"UN_NAMED.T" should disappear and be replaced with the name 
you typed.

Now press the F3 key and select "Debugger" on the pop-up 
window.  When you press enter, the editor will save your 
file and start the interpreter in its debugging mode using 
your file as source code.  If you entered correct code you 
should see your file with a gray bar highlighting the first 
line of your code.  

If you entered incorrect code you will see an error message.  
If this happened, press F3 again and select "Errors" and 
press <Enter>.  The editor will show you where the errors 
are.  Each line containing an error will be highlighted and 
the cursor will point to the error.  Sometimes the editor 
will point to the symbol or word just after the error.  The 
bottom line of the screen will contain a short message 
describing the error.  

Let's assume that either you entered the program correctly 
or you corrected any errors and started the interpreter 
again in the debugging mode.  Press the spacebar.  The 
highlight will jump to the next line containing a statement.  
Keep doing this until the interpreter gives you a "Success" 
message.  Each line containing an executable statement was 
highlighted.  The debugging mode of the interpreter has more 
features; try starting the debug mode again as we did above.  
Press F10 again.  The pop-up window shows the all the debugging 
options and the corresponding function keys.  You should try 
them out.


COMMAND LINE OPTIONS

The T interpreter programs can be run directly from the DOS 
prompt.  Try the following:

        C:\TPL>te first.t           Press <Enter>

The editor should start up and immediately load "first.t" if 
it is in the directory.  Now quit the editor and try the 
following:

        C:\TPL>ti first.t debug     Press <Enter>

The interpreter should run in debug mode.  Now try:

        C:\TPL>ti first.t           Press <Enter>

The program should run.  Note that a program can be halted 
by pressing the <Esc> key.

The language reference program can be run from the DOS 
command line as well as from the editor.  Try:

        C:\TPL>th                   Press <Enter>

Use the arrow keys to select a menu item then press <Enter>.  
Pressing any key returns to the language menu.  Pressing 
<Esc> quits the language help program.

Several sample programs have been included with the T 
interpreter software for your use in learning the T 
programming language.


REGISTRATION

I hope that you are pleased with this shareware and decide to register it.
To register, send $30 to:

                        Stephen R. Schmitt
                        962 Depot Road
                        Boxborough, MA 01719

You will receive a printed user's manual.



